#include "graficos.c"

/* Grafico do livro de Rogers "Procedural Elements for Computer Graphics"
   pagina 197 */

#define W (SQR(x - M_PI) + SQR(y - M_PI))
float f1(float x, float y) { return x; }
float f2(float x, float y) { return y; }
float f3(float x, float y) { return 1.0/5.0*sin(x)*cos(y) -
			     3.0/2.0*cos(7.0/4.0*W)*exp(-W) ; }

void main(void) {

  IniciaModoGrafico();
  o1 = 3, o2 = 1, o3 = 1; inc = 0.005;
  nu = 100, nv = 100;
  A = getmaxx()/4, B = getmaxy()/4, TAM = 100;
  DeterminaPlanoDeProjecao();
  DesenhaSuperficie5(f1, f2, f3, 0, 6.29, 0, 6.29, GREEN, WHITE);
  getch();
  closegraph();
}
